package fishrungames.bashgid.core;

import fishrungames.networkutils.UpdateCallbackHolder;
import fishrungames.networkutils.interfaces.NetworkActionInterface;


import android.os.Bundle;

public class NewsSearchRunnable implements NetworkActionInterface
{

	@Override
	public void InThreadAction(Bundle query, UpdateCallbackHolder callbackHolder)
	{
		NewsManager.getInstance().searchNews(query.getString("query"));
		callbackHolder.OnUpdated(null);
	}

}
